JspFragmentImpl (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.gsp.jsp

## [Groovy] Class JspFragmentImpl

- org.grails.gsp.jsp.JspFragmentImpl

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `FastStringWriter` | `body`
    `GroovyPagesPageContext` | `pageContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspFragmentImpl (GroovyPagesPageContext pageContext, FastStringWriter body)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `javax.servlet.jsp.JspContext` | `getJspContext()`
    `void` | `invoke(java.io.Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.jsp.tagext.JspFragment` | `javax.servlet.jsp.tagext.JspFragment#getJspContext(), javax.servlet.jsp.tagext.JspFragment#invoke(java.io.Writer), javax.servlet.jsp.tagext.JspFragment#wait(long, int), javax.servlet.jsp.tagext.JspFragment#wait(long), javax.servlet.jsp.tagext.JspFragment#wait(), javax.servlet.jsp.tagext.JspFragment#equals(java.lang.Object), javax.servlet.jsp.tagext.JspFragment#toString(), javax.servlet.jsp.tagext.JspFragment#hashCode(), javax.servlet.jsp.tagext.JspFragment#getClass(), javax.servlet.jsp.tagext.JspFragment#notify(), javax.servlet.jsp.tagext.JspFragment#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### FastStringWriter body

    - #### GroovyPagesPageContext pageContext

  - ### Constructor Detail

    - #### JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)

  - ### Method Detail

    - #### javax.servlet.jsp.JspContext getJspContext()

    - #### void invoke(java.io.Writer out)